summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-7
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-03-10 18:13:28 +0900
committerDaiki Ueno <ueno@gnu.org>2014-03-10 18:24:15 +0900
commitd66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch)
treec4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/xgettext-7
parent0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff)
downloadexternal_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since 'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/xgettext-7')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/xgettext-714
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-7 b/gettext-tools/tests/xgettext-7
index adac2c5..22e882b 100755..100644
--- a/gettext-tools/tests/xgettext-7
+++ b/gettext-tools/tests/xgettext-7
@@ -3,10 +3,6 @@
# Test of comment extraction in the case of duplicated msgids.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-test7.c"
cat <<\EOF > xg-test7.c
/* first comment */
/* xgettext: c-format */
@@ -21,14 +17,10 @@ gettext ("abc");
gettext ("abc");
EOF
-tmpfiles="$tmpfiles xg-test7.tmp.po xg-test7.po"
: ${XGETTEXT=xgettext}
-${XGETTEXT} --omit-header --add-comments -d xg-test7.tmp xg-test7.c
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < xg-test7.tmp.po > xg-test7.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${XGETTEXT} --omit-header --add-comments -d xg-test7.tmp xg-test7.c || exit 1
+LC_ALL=C tr -d '\r' < xg-test7.tmp.po > xg-test7.po || exit 1
-tmpfiles="$tmpfiles xg-test7.ok"
cat <<\EOF > xg-test7.ok
#. first comment
#. second comment
@@ -42,6 +34,4 @@ EOF
${DIFF} xg-test7.ok xg-test7.po
result=$?
-rm -fr $tmpfiles
-
exit $result